// Triggered by Timer0 Port7 is written every second to the   
// seriel Port using the PEC CHANNEL 0, 9600 Baud, 8bit, no parity  
 
#include <reg167.h>
#include <intrins.h>
#include <stdio.h>

#pragma PD(0)

sbit P310 = P3^10; 
sbit DP310 = DP3^10;

void main(void)
{
// Initialisation
// Serial Port

   P310=1;         // set Port 3.10 output latch TxD 
   DP310=1;        // set Port 3.10 direction control TxD out      
   S0TIC=0x80;     // set transmit interrupt flag
   S0BG= 0x33;     // set baudrate 9600 @ 16 MC CPU clock
   S0CON=0x8011;   // set serial mode



// Timer0


T01CON=0x0047;    // x 0 xx 0 000   x 1 xx 0 111
                  // timer mode run enable, prescaler 1024

T0= -15625;
T0REL=-15625;     // ticker interrupt request every second
		  // starts the PEC 

// PEC 

PECC0 = 0x01FF;
SRCP0 = _sof_(&P7);
DSTP0 = _sof_(&S0TBUF);

T0IC=0x78;        // ticker  ILVL=0xE GLVL=0 
IEN=1;

puts("OK\n");

while(1) 
{
puts("huhu\n");
//_idle_()

};         // continuous idle state  
}

